Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Visual Editor (VE) » VE missing from Eclipse
VE missing from Eclipse [message #131815] Tue, 03 October 2006 20:54 Go to next message
Eclipse User
Originally posted by: chut7.hotmail.com

I followed the instructions for installing VE, but I see no evidence that
VE is working within Eclipse (Visual Editor doesn't appear in the Open
With menu of the Package Explorer).

I'm running eclipse for Windows, 3.2 on JVM 1.4.2. I've followed the
following instructions for installing VE:

http://update.eclipse.org/tools/ve/updates/1.0

I first followed the download/unzip instructions. When that didn't work,
I used Callisto. That doesn't work either.

VE 1.2.1
GEF 3.1.1, 3.2.0 (yes, both versions)
EMF 2.2.0, 2.2.1 (yes, both versions)

I do see a bunch of errors upon starting Eclipse in the Window | Show View
| Error Log.

Warning
2006-10-03 13:21:14.655
Problems encountered while PDE was scanning the Target Platform
Warning
2006-10-03 13:21:14.655
Missing required plug-in: com.ibm.icu
[...]
and about 30 other "Missing required plug-in" errors that I don't remember
seeing before. Odd thing is, these plugins all exist.

I do see the plugins as loaded in Help | About | Feature Details. I just
don't see any effect.

I've Reset the Workspace. No effect.

I've browsed all 10 pages of this newsgroup (somebody please build a
search tool for the web interface) and didn't see anybody with exactly the
same problem. I'd appreciate any help...I think the key is the "Missing
required plug-in" messages, but I haven't used Eclipse long enough to know
how to fix that. A google search result is also void of any answers.

<tim><
Re: VE missing from Eclipse [message #131825 is a reply to message #131815] Tue, 03 October 2006 23:25 Go to previous messageGo to next message
Eclipse User
Originally posted by: richkulp.us.NO_SPAM.ibm.com

Where did you get the Eclipse 3.2? Is it the Eclipse 3.2 SDK? It needs
to be the SDK. It won't work with just the Eclipse runtime.

--
Thanks,
Rich Kulp
Re: VE missing from Eclipse [message #137971 is a reply to message #131815] Thu, 07 June 2007 22:34 Go to previous message
Eclipse User
Originally posted by: softwaredev.hughes.net

I have a similar problem, so I've reinstalled Eclipse 3.2.2 twice, using
different methods of adding GEF, EMF, RCP, VE. (i.e. using Help-> Sfw
upd.->Mng Conf. and manually copying files).
Window->Show err->Err log shows 40+ errors, all for RCP/delta & RCP.,
all of which include the phrase "has already been installed from:"

Still no 'Visual class', no Visual Editor in Preferences.

A Scroogle search was similarly destitute.

Dave

> I've browsed all 10 pages of this newsgroup (somebody please build a
> search tool for the web interface) and didn't see anybody with exactly
> the same problem. I'd appreciate any help...I think the key is the
> "Missing required plug-in" messages, but I haven't used Eclipse long
> enough to know how to fix that. A google search result is also void of
> any answers.
>
> <tim><
>
Re: VE missing from Eclipse [message #614678 is a reply to message #131815] Tue, 03 October 2006 23:25 Go to previous message
Eclipse User
Originally posted by: richkulp.us.NO_SPAM.ibm.com

Where did you get the Eclipse 3.2? Is it the Eclipse 3.2 SDK? It needs
to be the SDK. It won't work with just the Eclipse runtime.

--
Thanks,
Rich Kulp
Re: VE missing from Eclipse [message #615330 is a reply to message #131815] Thu, 07 June 2007 22:34 Go to previous message
David Williams is currently offline David Williams
Messages: 176
Registered: July 2009
Senior Member
I have a similar problem, so I've reinstalled Eclipse 3.2.2 twice, using
different methods of adding GEF, EMF, RCP, VE. (i.e. using Help-> Sfw
upd.->Mng Conf. and manually copying files).
Window->Show err->Err log shows 40+ errors, all for RCP/delta & RCP.,
all of which include the phrase "has already been installed from:"

Still no 'Visual class', no Visual Editor in Preferences.

A Scroogle search was similarly destitute.

Dave

> I've browsed all 10 pages of this newsgroup (somebody please build a
> search tool for the web interface) and didn't see anybody with exactly
> the same problem. I'd appreciate any help...I think the key is the
> "Missing required plug-in" messages, but I haven't used Eclipse long
> enough to know how to fix that. A google search result is also void of
> any answers.
>
> <tim><
>
Previous Topic:After Installation: Plugin org.eclipse.ui is required. Must be added as a dependent plugin.
Next Topic:Problems with installing the Visual Editor
Goto Forum:
  


Current Time: Sat Oct 25 00:44:56 GMT 2014

Powered by FUDForum. Page generated in 0.08794 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software